# brltty.spec.  Generated from brltty.spec.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2015 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any
# later version. Please see the file LICENSE-GPL for details.
#
# Web Page: http://brltty.com/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

Name: brltty
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Vendor: The BRLTTY Developers
Packager: Dave Mielke <dave@mielke.cc>
URL: http://brltty.com/
Source: http://brltty.com//archive/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-InstallRoot
%define _bindir /bin
%define _sbindir /sbin
%define _libdir /lib
%define _sysconfdir /etc
%define _systemddir /usr/lib/systemd/system

Requires: libicu

BuildRequires: /bin/sh
BuildRequires: /usr/bin/env
BuildRequires: autoconf >= 2.53
BuildRequires: make
BuildRequires: gcc
BuildRequires: coreutils
BuildRequires: binutils
BuildRequires: /usr/bin/awk
BuildRequires: glibc-devel
BuildRequires: tcl
BuildRequires: libicu-devel
BuildRequires: ncurses-devel
BuildRequires: linuxdoc-tools
BuildRequires: doxygen
BuildRequires: systemd-devel
BuildRequires: bluez-libs-devel
BuildRequires: alsa-lib-devel

AutoProv: no
Provides: brlapi-server
AutoReq: yes

Summary: Braille display driver for Linux/Unix.
%description
BRLTTY is a background process (daemon) which provides access to
the console screen (when in text mode) for a blind person using a
refreshable braille display.  It drives the braille display, and
provides complete screen review functionality.  Some speech capability
has also been incorporated.

Install this package if you use a refreshable braille display.


%package -n brltty-braille-brlapi
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

AutoProv: no
AutoReq: yes

Summary: BrlAPI braille driver for BRLTTY.
%description -n brltty-braille-brlapi
This package provides the BrlAPI braille driver for BRLTTY.

Install this package if you need to communicate with
another instance of BRLTTY which is actually in control
of the braille device.


%package -n brltty-braille-xwindow
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: neXtaw-devel

AutoProv: no
AutoReq: yes

Summary: XWindow braille driver for BRLTTY.
%description -n brltty-braille-xwindow
This package provides the XWindow braille driver for BRLTTY.
This driver presents a virtual braille device within a graphical
user interface. It is primarily intended for sighted developers
who don't have access to a real braille device but still wish to
assess the accessibility of their applications.

Install this package if you would like to see how usable an
application would be by a blind person using a braille device.


%package -n brltty-speech-espeak
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Requires: espeak

BuildRequires: espeak-devel

AutoProv: no
AutoReq: yes
Requires: espeak

Summary: eSpeak speech driver for BRLTTY.
%description -n brltty-speech-espeak
This package provides the eSpeak speech driver for BRLTTY.

Install this package if you would like to be able to use the
eSpeak text-to-speech engine.


%package -n brltty-speech-festival
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Requires: festival

AutoProv: no
AutoReq: yes
Requires: festival

Summary: Festival speech driver for BRLTTY.
%description -n brltty-speech-festival
This package provides the Festival speech driver for BRLTTY.

Install this package if you would like to be able to use the
Festival text-to-speech engine.


%package -n brltty-speech-flite
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Requires: flite

BuildRequires: flite-devel

AutoProv: no
AutoReq: yes
Requires: flite

Summary: Festival Lite speech driver for BRLTTY.
%description -n brltty-speech-flite
This package provides the Festival Lite speech driver for BRLTTY.

Install this package if you would like to be able to use the
Festival Lite text-to-speech engine.


%package -n brltty-speech-speechd
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Requires: speech-dispatcher

BuildRequires: speech-dispatcher-devel

AutoProv: no
AutoReq: yes
Requires: speech-dispatcher

Summary: Speech Dispatcher speech driver for BRLTTY.
%description -n brltty-speech-speechd
This package provides the Speech Dispatcher speech driver for BRLTTY.

Install this package if you would like to be able to use the
Speech Dispatcher text-to-speech server.


%package -n brltty-screen-atspi
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Requires: at-spi

BuildRequires: at-spi-devel

AutoProv: no
AutoReq: yes
Requires: at-spi

Summary: AT-SPI screen driver for BRLTTY.
%description -n brltty-screen-atspi
This package provides the AT-SPI screen driver for BRLTTY.

Install this package if you would like to be able to
access GTK-based applications via the Assistive
Technology Service Provider Interface.


%package -n brltty-screen-atspi2
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

Requires: dbus

BuildRequires: at-spi2-core-devel

AutoProv: no
AutoReq: yes
Requires: dbus

Summary: AT-SPI2 screen driver for BRLTTY.
%description -n brltty-screen-atspi2
This package provides the AT-SPI2 screen driver for BRLTTY.

Install this package if you would like to be able to
access graphical applications via the D-Bus port of
the Assistive Technology Service Provider Interface.


%package -n brltty-screen-screen
Version: 5.3
Release: 1
Group: System Environment/Daemons
License: GPL

AutoProv: no
AutoReq: yes
Requires: screen

Summary: Screen screen driver for BRLTTY.
%description -n brltty-screen-screen
This package provides the Screen screen driver for BRLTTY.

Install this package if you would like to be able to
directly access session windows maintained by the
screen program.


%package -n brltty-utils
Version: 5.3
Release: 1
Group: Development/Tools
License: GPL

BuildRequires: ncurses-devel

AutoProv: no
AutoReq: yes

Summary: Commands for maintaining BRLTTY data files.
%description -n brltty-utils
This package provides a set of commands for maintaining BRLTTY's datafiles.


%package -n brltty-devel
Version: 5.3
Release: 1
Group: Development/Tools
License: GPL

AutoProv: no
AutoReq: yes

Summary: Headers for BRLTTY.
%description -n brltty-devel
This package provides many of the header files for BRLTTY's core, as well as
header files which define the packets and keys for several braille devices.

Install this package if you're developing or maintaining an application which
needs to (or wishes to) use functionality provided by BRLTTY's core, which
needs to interpret and/or create raw braille device packets, or which needs to
interpret key codes as delivered by BrlAPI's raw mode.


%package -n brlapi
Version: 0.6.4
Release: 1
Group: System Environment/Libraries
License: LGPL

AutoProv: yes
AutoReq: yes

Summary: Appliation Programming Interface for BRLTTY.
%description -n brlapi
This package provides the run-time support for the Application
Programming Interface to BRLTTY.

Install this package if you have an application
which directly accesses a refreshable braille display.


%package -n brlapi-devel
Version: 0.6.4
Release: 1
Group: Development/Libraries
License: LGPL

AutoProv: yes
AutoReq: yes

Summary: Headers, static archive, and documentation for BrlAPI.
%description -n brlapi-devel
This package provides the header files, static archive, shared object
linker reference, and reference documentation for BrlAPI (the
Application Programming Interface to BRLTTY).  It enables the
implementation of applications which take direct advantage of a
refreshable braille display in order to present information in ways
which are more appropriate for blind users and/or to provide user
interfaces which are more specifically atuned to their needs.

Install this package if you're developing or maintaining an application
which directly accesses a refreshable braille display.


%package -n brlapi-java
Version: 0.6.4
Release: 1
Group: System Environment/Libraries
License: LGPL

BuildRequires: gcc-java

AutoProv: no
AutoReq: yes

Summary: Java bindings for BrlAPI.
%description -n brlapi-java
This package provides the Java bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Java application
which directly accesses a refreshable braille display.


%package -n brlapi-ocaml
Version: 0.6.4
Release: 1
Group: System Environment/Libraries
License: LGPL

BuildRequires: ocaml
BuildRequires: ocaml-findlib

AutoProv: no
AutoReq: yes

Summary: OCaml bindings for BrlAPI.
%description -n brlapi-ocaml
This package provides the OCaml bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have an OCaml application
which directly accesses a refreshable braille display.


%package -n brlapi-python
Version: 0.6.4
Release: 1
Group: System Environment/Libraries
License: LGPL

BuildRequires: python
BuildRequires: python-devel
BuildRequires: Cython

AutoProv: no
AutoReq: yes

Summary: Python bindings for BrlAPI.
%description -n brlapi-python
This package provides the Python bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Python application
which directly accesses a refreshable braille display.


%package -n brlapi-tcl
Version: 0.6.4
Release: 1
Group: System Environment/Libraries
License: LGPL

BuildRequires: tcl
BuildRequires: tcl-devel

AutoProv: no
AutoReq: yes

Summary: Tcl bindings for BrlAPI.
%description -n brlapi-tcl
This package provides the Tcl bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Tcl application
which directly accesses a refreshable braille display.


%package -n brlapi-utils
Version: 0.6.4
Release: 1
Group: Applications/System
License: LGPL

BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel

AutoProv: no
AutoReq: yes

Summary: Appliation Programming Interface for BRLTTY.
%description -n brlapi-utils
This package provides a set of commands for maintaining BRLTTY's datafiles.


%prep
# %setup -n %{name}-%{version}
%setup -n brltty-5.3

%build
%configure --disable-relocatable-install --with-install-root="${RPM_BUILD_ROOT}" --disable-gpm --without-mikropuhe --without-swift --without-theta --without-viavoice --without-libbraille --with-braille-driver=-tt,-vr
make

%install
make install install-documents install-messages
install -m 644 Documents/brltty.conf "${RPM_BUILD_ROOT}%{_sysconfdir}"
install -d "${RPM_BUILD_ROOT}%{_systemddir}"
install -m 644 Autostart/Systemd/brltty.service "${RPM_BUILD_ROOT}%{_systemddir}/brltty.service"
%find_lang %{name}

%clean
rm -fr "${RPM_BUILD_ROOT}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/brltty
%{_libdir}/brltty
%exclude %{_libdir}/brltty/libbrlttybba.so
%exclude %{_libdir}/brltty/libbrlttybxw.so
%exclude %{_libdir}/brltty/libbrlttyses.so
%exclude %{_libdir}/brltty/libbrlttysfl.so
%exclude %{_libdir}/brltty/libbrlttysfv.so
%exclude %{_libdir}/brltty/libbrlttyssd.so
%exclude %{_libdir}/brltty/libbrlttyxas.so
%exclude %{_libdir}/brltty/libbrlttyxa2.so
%exclude %{_libdir}/brltty/libbrlttyxsc.so
%{_sysconfdir}/brltty
%doc %{_mandir}/man1/brltty.1.gz
%doc %{_docdir}/*/LICENSE*
%doc %{_docdir}/*/README*
%doc %{_docdir}/*/ChangeLog
%doc %{_docdir}/*/CONTRIBUTORS
%doc %{_docdir}/*/TODO
%doc %{_docdir}/*/brltty.conf
%doc %{_docdir}/*/KeyTables
%doc %{_docdir}/*/Manual-BRLTTY
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/brltty.conf
%{_systemddir}/brltty.service

%files -n brltty-braille-brlapi
%{_libdir}/brltty/libbrlttybba.so

%files -n brltty-braille-xwindow
%{_libdir}/brltty/libbrlttybxw.so

%files -n brltty-speech-espeak
%{_libdir}/brltty/libbrlttyses.so

%files -n brltty-speech-festival
%{_libdir}/brltty/libbrlttysfv.so

%files -n brltty-speech-flite
%{_libdir}/brltty/libbrlttysfl.so

%files -n brltty-speech-speechd
%{_libdir}/brltty/libbrlttyssd.so

%files -n brltty-screen-atspi
%{_libdir}/brltty/libbrlttyxas.so

%files -n brltty-screen-atspi2
%{_libdir}/brltty/libbrlttyxa2.so

%files -n brltty-screen-screen
%{_libdir}/brltty/libbrlttyxsc.so

%files -n brltty-utils
%{_bindir}/brltty-*

%files -n brltty-devel
%{_includedir}/brltty

%files -n brlapi
%defattr(-,root,root)
%{_libdir}/libbrlapi.so.*
%doc %{_docdir}/*/Manual-BrlAPI

%files -n brlapi-java
/usr/share/java/*
/usr/lib/java/*

%files -n brlapi-ocaml
/usr/lib64/ocaml/brlapi

%files -n brlapi-python
/usr/lib64/python2.7/site-packages/[bB]rlapi[-.]*

%files -n brlapi-tcl
/usr/lib64/tcl8.5/brlapi-0.6.4/libbrlapi_tcl.so
/usr/lib64/tcl8.5/brlapi-0.6.4/pkgIndex.tcl

%files -n brlapi-devel
%defattr(-,root,root)
%{_libdir}/libbrlapi.a
%{_libdir}/libbrlapi.so
%{_includedir}/brlapi.h
%{_includedir}/brlapi_*.h
%doc %{_mandir}/man3/*
%doc %{_docdir}/*/BrlAPIref

%files -n brlapi-utils
%{_bindir}/xbrlapi
%{_bindir}/eutp
%{_bindir}/vstp
%doc %{_mandir}/man1/xbrlapi.1.gz
%doc %{_mandir}/man1/eutp.1.gz
%doc %{_mandir}/man1/vstp.1.gz
/usr/share/gdm/greeter/autostart/xbrlapi.desktop


%changelog
* Tue Dec 15 2015 Dave Mielke <dave@mielke.cc> 5.3
General fixes:
   The missing key event (stuck key) problem has been resolved.
   The braille display is now initialized when the -q (--quiet) option is used.
   Playing alert tunes has been moved to a dedicated thread.
   PCM (sound card) tone generation is now way more efficient.
   Program-relative paths are no longer used for relative paths specified via
      command line options or configuration file directives.
   Explicit paths for tables no longer consider the tables directory path.
   The -U (--updatable-directory) option has been added (it used to be
      hard-coded to /var/lib/brltty/).
   Braille driver parameters may be specified via the fourth boot parameter
      (use + to separate them).
   The speech FIFO on Linux has been moved to the writable directory (see -W -
      the default is /var/run/brltty/).
   The Console Bell Alert preference has been added - when enabled, and with
      the tune device set to PCM, the console bell can be heard even if the PC
      speaker either doesn't exist or isn't supported.
New and changed commands:
   The toLeft modifier can be applied to any vertical motion command.
   The AltGr (Right Alt) and GUI (Windows) keys are supported.
   The PRPGRPH (go to previous paragraph) command navigates to the first line
      of the current paragraph (or, if already on it, to the first line of the
      previous paragraph) rather than to the last line of the previous
      paragraph.
   The space bar is a real space (rather than a braille character with no dots)
      when the keyboard is in Unicode braille input mode.
   Disabling the braille keyboard now disables all braille input commands.
   New commands that always skip forward/backward to a nonblank braille window:
      NXNBWIN, PRNBWIN
   Sticky modifier command improvements:
      Cycle through next,on,off (rather than just on,off) - next means just for
      the next typed character, and times out after five seconds.
   New commands to start/stop the braille,speech,screen drivers:
      BRL_START, BRL_STOP, SPK_START, SPK_STOP, SCR_START, SCR_STOP
   New commands for attaching to a specific (not necessarily current) console:
      SELECT, SELECT_NEXT, SELECT_PREV
Albatross braille driver changes:
   Detection of no pending input has been improved.
   Recognizing a failed autodetection probe has been improved.
Alva braille driver changes:
   Establishing a Bluetooth connection is now supported for more models.
Baum braille driver changes:
   The standard braille keyboard chords are supported.
   The Refreshabraille has an improved key table.
   The Conny has an improved key table.
   The 12-cell Vario/BrailleConnect now uses the Conny key table.
   The protocols= parameter has been renamed to protocol= and accepts a
      specific protocol name (default, escape, hid1, hid2, ht, pb).
   Support for the following models has been added:
      VarioUltra, Pronto!, Brailliant2, SuperVario2, HID Refreshabraille 18
BrailleMemo braille driver changes:
   Model autodetection has been improved.
FreedomScientific braille driver changes:
   The key tables for newer models use the newer key names:
      The wheels are called Nav keys.
      The GDF keys are called Selector keys.
HandyTech braille driver changes:
   Touch-based navigation has been implemented for the following models:
      Modular Evolution, Active Braille, Active Star
HIMS braille driver changes:
   Function keys can be emulated by pressing space with a routing key.
   The Braille Sense U2 is recognized.
   The Braille Edge scroll keys are now mapped correctly.
HumanWare braille driver changes:
   Bindings for adding Alt, Control, or both to a function key have been added.
MDV braille driver changes:
   The bindings are now defined within key tables.
   Support for the following models has been added:
      Lilli Blu, MB248, MB408+
Papenmeier braille driver changes:
   The status key bindings have been standardized across the various models.
   Minor changes to the front key bindings (for models with 13).
   XT keyboard support has been fixed.
XWindow braille driver changes:
   Support for the Unicode braille characters has been added.
AtSpi2 screen driver changes:
   The widget with focus on startup is determined correctly.
   The currently focused widget is cached for efficiency.
   The screen size is implicitly increased based on the cursor's location.
   The release= (yes, no) parameter has been added.
Linux screen driver changes:
   VGA foreground and background colours are now reported correctly.
   A font change now triggers a braille display update.
   The VT= (number) parameter has been added - 0 means the current console.
   Systemd is no longer blocked from starting a login session on an unused tty.
Screen screen driver changes:
   ASCII control characters can now be entered.
BrlAPI changes:
   The version is now 0.6.4 (it was 0.6.3).
   Cursor blinking finally works again.
   The braille display is refreshed whenever it comes back online if the client
      has focus.
Language profile support fixes:
   The language profile can now be changed when there's no braille device.
   The braille device and keyboard key table help texts are regenerated
      according to the new localization when the language profile is changed.
Text table changes:
   The en_CA (English Canada) text table has been updated.
   The fr-vs (VisioBraille) text table has been updated.
   The alias directive has been added.
   Support for the variable and conditional directives has been added.
   The -u (--undefined) option has been added to brltty-ttb - it reports
      the characters in the current screen font that aren't yet defined in the
      text table.
   brltty-ttb can write C preprocessor format (cpp) tables.
Contraction table changes:
   The Unicode braille characters are now handled internally.
   The en-us-g2 (grade 2 US English) contraction table has been updated.
   The zh-tw (Taiwan Chinese) contraction table has been updated.
Key table changes:
   Major chords key subtable changes:
      Tab is now Space+Dots45 (it was Space+Dots2356).
      Backspace is now just Dot7, and Enter is now just Dot8.
      Add Space to get just dot 7 or just dot 8.
      Unchorded bindings have been added for navigating the preferences menu:
         Dot1: go to the previous item
         Dot4: go to the next item
         Dot2: go to the first item
         Dot5: go to the last item
         Dot3: select the previous setting for the current item
         Dot6: select the next setting for the current item
         Dot7: go back one level
         Dot8: exit the menu
   Minor changes to the keypad keyboard table.
   The assignDefault directive has been added.
   The -r (--reStructuredText) option has been added to brltty-ktb - it causes
      the help text to be formatted as reStructuredText.
   The help text has been improved:
      Related bindings have been organized into functional groups.
      Each of these groups has a descriptive header.
      Variants of the same binding are listed together.
      The bindings for Help and Learn are intentionally listed at the top.
Java bindings fixes:
   The JDK hierarchy is located even when symbolic links point to it.
   The subdirectory containing machine-dependent JNI definitions is included.
Android updates:
   F9 goes to the Global Actions (Power Off) dialog (Lollipop and later).
   F10 is the Menu key.
   The braille display stays in the active window (new problem as of Lollipop).
   The order in which screen elements are rendered is more intuitive.
   Czech translations have been added.
   Finnish translations have been added.
Windows updates:
   Support for the Unicode braille characters has been added.
brltty-tune (formerly tunetest) changes:
   The tune syntax has been completely changed.
   Tunes can be read from files.
Build changes:
   The autoconf dependency has been updated to 2.64 (from 2.53).
   The ktbtest command has been renamed to brltty-ktb.
   The tunetest command has been renamed to brltty-tune.
   The brltty-atb, brltty-ktb, and brltty-tune commands are installed.
   Key table help text is rendered in HTML (as well as in plain text).
   Systemd service ready notification (via type=notify) is supported.
   mkwin command updates:
      The -C (Cygwin root directory) option has been added.
      A safe, relative path to the configure script can now be used.

